Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.type
Class OdfPercent

    java.lang.Object
      org.odftoolkit.odfdom.dom.type.OdfPercent

    public class OdfPercent

extends Object

DOM implementation of OpenDocument data type 'percent'

Constructor Summary
`OdfPercent(double n)` Allocates an OdfPercent object representing the n argument

Method Summary
`double` | `doubleValue()` Returns the value of this OdfPercent object as a double primitive
`String` | `toString()` Returns a String Object representing this OdfPercent's value
`static OdfPercent` | `valueOf(String stringValue)` Returns an OdfPercent instance representing the specified String value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OdfPercent

    public OdfPercent(double n)

  Allocates an OdfPercent object representing the n argument

  Parameters:
    `n` - the value of the OdfPercent

Method Detail

### toString

    public String toString()

  Returns a String Object representing this OdfPercent's value

  Overrides:
    `toString` in class `Object`
  Returns:
    return a string representation of the value of this OdfPercent object

### valueOf

    public static OdfPercent valueOf(String stringValue)

  Returns an OdfPercent instance representing the specified String value

  Parameters:
    `stringValue` - a String value
  Returns:
    return an OdfPercent instance representing stringValue

### doubleValue

    public double doubleValue()

  Returns the value of this OdfPercent object as a double primitive

  Returns:
    the primitive double value of this OdfPercent object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.